[bijiben] build: Remove gnome-common dependency from autogen.sh



commit 9a93421b25824dff19a1c2485461759654012ca4
Author: Philip Withnall <philip withnall collabora co uk>
Date:   Sat Feb 20 13:59:02 2016 +0000

    build: Remove gnome-common dependency from autogen.sh
    
    gnome-common has been completely deprecated. See
    https://wiki.gnome.org/Projects/GnomeCommon/Migration.
    
    Fix that by removing gnome-common dependency from autogen.sh.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762648

 autogen.sh |   44 ++++++++++++++++++++++++++++++--------------
 1 files changed, 30 insertions(+), 14 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 898f955..5ec283a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,40 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS"
+cd $srcdir
 
-PKG_NAME="bijiben"
-
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+       echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+       exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+       echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+       echo "*** If you wish to pass any to it, please specify them on the" >&2
+       echo "*** '$0' command line." >&2
+       echo "" >&2
+fi
 
 git submodule update --init --recursive
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+       $srcdir/configure "$@" || exit 1
 
-REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type 'make' to compile $PKG_NAME" || exit 1
+       fi
+else
+       echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]